package com.tenlionsoft.aimz_k.model

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query

@Dao
interface ReplyDao {
    /**
     * 更新内容
     */
    @Query("UPDATE db_reply SET content = :content WHERE id = :id")
    suspend fun updateContent(id: Long, content: String)

    /**
     * 获取全部
     *
     * @return
     */
    @Query("SELECT * FROM db_reply")
    suspend fun getAllReply(): List<ReplyBean>?

    /**
     * 添加多个
     *
     * @param beans
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(vararg beans: ReplyBean)

    /**
     * 批量添加
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(beans: List<ReplyBean>)


    /**
     * 添加-单个
     *
     * @param bean
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(bean: ReplyBean)

    /**
     * 删除
     */
    @Query("DELETE FROM db_reply WHERE id=:id")
    suspend fun delReply(id: Long)
}