package com.tenlionsoft.baselib.net

import android.text.TextUtils
import android.util.Log
import com.google.gson.Gson
import com.google.gson.JsonParseException
import com.tenlionsoft.baselib.utils.ToastUtils
import retrofit2.HttpException
import java.net.SocketTimeoutException

class ExParse {
    companion object {
        fun parse(e: Exception): Int {
            if (e is HttpException) {
                val ex = e as HttpException
                try {
                    val errBody = ex.response()!!.errorBody()!!.string()
                    if (!TextUtils.isEmpty(errBody)) {
                        val errorBean: ErrorBean = Gson().fromJson(errBody, ErrorBean::class.java)
                        Log.e("ExParse", "parse: ${errorBean.code}")
                        if (!TextUtils.isEmpty(errorBean.msg)) {
                            ToastUtils.error(errorBean.msg)
                        } else {
                            ToastUtils.error(errorBean.message)
                        }
                        return errorBean.code
                    } else {
                        return 0
                    }
                } catch (e1: Exception) {
                    ToastUtils.error("网络错误,请稍后重试")
                    e1.printStackTrace()
                    return 0
                }
            } else if (e is JsonParseException) {
                ToastUtils.error("解析错误,请稍后重试")
                return 0
            } else if (e is SocketTimeoutException) {
                ToastUtils.error("网络连接超时")
                return 0
            } else {
                ToastUtils.error("网络错误,请稍后重试")
                return 0
            }
        }
    }
}