package com.tenlionsoft.baselib.utils

import java.text.DateFormat
import java.text.SimpleDateFormat
import java.util.Date
import java.util.Locale

object TimeUtils {
    private val SDF_THREAD_LOCAL: ThreadLocal<SimpleDateFormat> = ThreadLocal()
    private fun getDefaultFormat(): SimpleDateFormat {
        var simpleDateFormat: SimpleDateFormat? = SDF_THREAD_LOCAL.get()
        if (simpleDateFormat == null) {
            simpleDateFormat = SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.getDefault())
            SDF_THREAD_LOCAL.set(simpleDateFormat)
        }
        return simpleDateFormat
    }

    private fun getHoursFormat(): SimpleDateFormat {
        var simpleDateFormat: SimpleDateFormat? = SDF_THREAD_LOCAL.get()
        if (simpleDateFormat == null) {
            simpleDateFormat = SimpleDateFormat("HH:mm", Locale.getDefault())
            SDF_THREAD_LOCAL.set(simpleDateFormat)
        }
        return simpleDateFormat
    }

    fun getNowDateMillis(): Long {
        return System.currentTimeMillis()
    }

    fun millis2String(millis: Long): String {
        return getDefaultFormat().format(Date(millis))
    }

    fun millis2HMStr(millis: Long): String {
        return getHoursFormat().format(Date(millis))
    }

    fun millis2String(millis: Long, format: DateFormat): String {
        return format.format(Date(millis))
    }


}