package com.tenlionsoft.medialib.base

import androidx.databinding.DataBindingUtil
import androidx.viewpager.widget.ViewPager.OnPageChangeListener
import com.tenlionsoft.baselib.base.BaseActivity
import com.tenlionsoft.baselib.utils.ToastUtils
import com.tenlionsoft.medialib.R
import com.tenlionsoft.medialib.base.adapter.PhotoAdapter
import com.tenlionsoft.medialib.databinding.ActivitySimplePhotoBinding

class SimplePhotoActivity : BaseActivity() {
    private lateinit var mBind: ActivitySimplePhotoBinding
    private var mImgUrls: java.util.ArrayList<String>? = null
    override fun bindView() {
        mBind = DataBindingUtil.setContentView(
            this@SimplePhotoActivity, R.layout.activity_simple_photo
        )
        mImgUrls = intent.getStringArrayListExtra(TAG_IMGURL)
        val curItem = intent.getIntExtra("curItem", 0)
        if (mImgUrls == null) {
            ToastUtils.error("图片链接地址有误")
            finish()
        } else {
            val imageAdapter: PhotoAdapter = PhotoAdapter(this, mImgUrls!!)
            mBind.vpImages.setAdapter(imageAdapter)
            imageAdapter.addImgClick(object : PhotoAdapter.OnImgClick {
                override fun imgClick() {
                    finish()
                }
            })
            mBind.tvCount.text =
                String.format(
                    resources.getString(R.string.img_position), (curItem + 1), mImgUrls!!.size
                )

            mBind.vpImages.setCurrentItem(curItem)

            mBind.vpImages.addOnPageChangeListener(object : OnPageChangeListener {
                override fun onPageScrolled(
                    position: Int, positionOffset: Float, positionOffsetPixels: Int
                ) {
                }

                override fun onPageSelected(position: Int) {
                    var pos = position
                    mBind.tvCount.text = String.format(
                        resources.getString(R.string.img_position), ++pos, mImgUrls!!.size
                    )

                }

                override fun onPageScrollStateChanged(state: Int) {
                }
            })
        }
    }

    companion object {
        const val TAG_IMGURL: String = "imgUrls"
    }
}